Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1280387 - [dssp]: remove hardcoded -O3 from makefile
Summary: [dssp]: remove hardcoded -O3 from makefile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dssp
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Love
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1278026
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-11-11 15:49 UTC by Rafael Fonseca
Modified: 2016-01-30 18:21 UTC (History)
1 user (show)

Fixed In Version: dssp-2.2.1-7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-30 18:21:01 UTC


Attachments (Terms of Use)
remove -O3 from CFLAGS (deleted)
2015-11-11 15:49 UTC, Rafael Fonseca
no flags Details | Diff

Description Rafael Fonseca 2015-11-11 15:49:38 UTC
Created attachment 1092800 [details]
remove -O3 from CFLAGS

Description of problem: dssp's makefile adds -O3 to CFLAGS, overwriting the -O2 used by optflags, thus making the compilation fail on ppc64le with an ICE (see #1278026). According to [1], using -O3 is discouraged.


Version-Release number of selected component (if applicable): 2.2.1-6


How reproducible: always on ppc64le.


Steps to Reproduce: ppc-koji build dssp.


Additional info: it also fails for F22 and F23. Patch attached.


[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

Comment 1 Dave Love 2015-12-13 16:02:50 UTC
orion has approved adding recommended optimization flags to a computational
program, and it's pretty bad news for HPC use if you can't use -O3 on power8.
I've made an arch-specific mod in 2.2.1-7 so that it builds, and will keep this
open pending a gcc fix.

Comment 2 Fedora Update System 2016-01-21 16:45:53 UTC
dssp-2.2.1-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3eb79d5265

Comment 3 Fedora Update System 2016-01-22 04:56:07 UTC
dssp-2.2.1-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3eb79d5265

Comment 4 Fedora Update System 2016-01-30 18:20:59 UTC
dssp-2.2.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.